aboutsummaryrefslogtreecommitdiffstats
path: root/main/lcms/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2013-08-30 11:26:33 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-08-30 11:26:33 +0000
commitf1ccbf1557380e56f61c4379b3f43e0c08fc4a17 (patch)
treefeb2d685716476021970bfcafd527f5ae8de23c8 /main/lcms/APKBUILD
parent54ea48c2d606ad7dc278b7c9f6e72cf4b11ed9ca (diff)
downloadaports-f1ccbf1557380e56f61c4379b3f43e0c08fc4a17.tar.gz
aports-f1ccbf1557380e56f61c4379b3f43e0c08fc4a17.tar.bz2
aports-f1ccbf1557380e56f61c4379b3f43e0c08fc4a17.tar.xz
main/lcms: acutally apply the patch in prev commit
Diffstat (limited to 'main/lcms/APKBUILD')
-rw-r--r--main/lcms/APKBUILD11
1 files changed, 10 insertions, 1 deletions
diff --git a/main/lcms/APKBUILD b/main/lcms/APKBUILD
index 8f781e31df..222b818597 100644
--- a/main/lcms/APKBUILD
+++ b/main/lcms/APKBUILD
@@ -1,7 +1,7 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=lcms
pkgver=1.19
-pkgrel=5
+pkgrel=6
pkgdesc="Lightweight color management development library/engine"
url="http://www.littlecms.com"
arch="all"
@@ -13,6 +13,15 @@ source="http://downloads.sourceforge.net/project/lcms/lcms/$pkgver/lcms-$pkgver.
CVE-2013-4276.patch"
_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
build() {
cd "$_builddir"
./configure \